inertia_upw.icc File Reference

The inertia term of the Navier-Stokes equation with the discontinuous Galerkin method – upwinding variant. More...

Go to the source code of this file.

## Functions

form | inertia_upw (field w, trial u, test v, integrate_option iopt=integrate_option())
form | d_inertia_upw (field w, trial dw, field u, test v, integrate_option iopt=integrate_option())

## Detailed Description

The inertia term of the Navier-Stokes equation with the discontinuous Galerkin method – upwinding variant.

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition in file inertia_upw.icc.

## Function Documentation

## inertia_upw()

form inertia_upw | ( | field | w,
|  | trial | u,
|  | test | v,
|  | integrate_option | iopt = `integrate_option()`
| ) |  |

Examples
  inertia_upw.icc, and navier_stokes_upw_dg.icc.

Definition at line 26 of file inertia_upw.icc.

## d_inertia_upw()

form d_inertia_upw | ( | field | w,
|  | trial | dw,
|  | field | u,
|  | test | v,
|  | integrate_option | iopt = `integrate_option()`
| ) |  |

Examples
  inertia_upw.icc, and navier_stokes_upw_dg.icc.

Definition at line 32 of file inertia_upw.icc.